package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmCustAlphaDetectionMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CUST_ALPHA_DETECTION", namespace=SlmCustAlphaDetectionMapper.class)
public class SlmCustAlphaDetection extends BaseVO implements Serializable {
	/**
	 * 探伤要求表
	 */
	private static final long serialVersionUID = 2186531733283934382L;
	@Id
	//探伤编号
	private String detection_seq;
	public String  getDetection_seq() {
		return this.detection_seq;
	}
	public void setDetection_seq(String detection_seq) {
		this.detection_seq = detection_seq;
	}
	/** 
	 * 序号
	 */ 
	@Id
	private Integer index_seq;
	public Integer getIndex_seq() {
		return this.index_seq;
	}
	public void setIndex_seq(Integer index_seq) {
		this.index_seq = index_seq;
	}
	@Column
	//Alpha编号
	private String cust_alpha_no;
	public String  getCust_alpha_no() {
		return this.cust_alpha_no;
	}
	public void setCust_alpha_no(String cust_alpha_no) {
		this.cust_alpha_no = cust_alpha_no;
	}

	@Column
	//探伤索引号
	private String dic;
	public String  getDic() {
		return this.dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}

	@Column
	//序号
	private Integer xh;
	public Integer  getXh() {
		return this.xh;
	}
	public void setXh(Integer xh) {
		this.xh = xh;
	}

	@Column
	//材质检验项代码
	private String phy_code_s;
	public String  getPhy_code_s() {
		return this.phy_code_s;
	}
	public void setPhy_code_s(String phy_code_s) {
		this.phy_code_s = phy_code_s;
	}

	@Column
	//材质检验项名称
	private String phy_name_s;
	public String  getPhy_name_s() {
		return this.phy_name_s;
	}
	public void setPhy_name_s(String phy_name_s) {
		this.phy_name_s = phy_name_s;
	}

	@Column
	//探伤位置代码
	private String position_code;
	public String  getPosition_code() {
		return this.position_code;
	}
	public void setPosition_code(String position_code) {
		this.position_code = position_code;
	}

	@Column
	//探伤位置描述
	private String position_desc;
	public String  getPosition_desc() {
		return this.position_desc;
	}
	public void setPosition_desc(String position_desc) {
		this.position_desc = position_desc;
	}

	@Column
	//探伤参考标准
	private String std_desc;
	public String  getStd_desc() {
		return this.std_desc;
	}
	public void setStd_desc(String std_desc) {
		this.std_desc = std_desc;
	}

	@Column
	//探伤级别代码
	private String lv_code;
	public String  getLv_code() {
		return this.lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}

	@Column
	//探伤级别描述
	private String lv_desc;
	public String  getLv_desc() {
		return this.lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

	@Column
	//刻槽位置
	private String groove_pos;
	public String  getGroove_pos() {
		return this.groove_pos;
	}
	public void setGroove_pos(String groove_pos) {
		this.groove_pos = groove_pos;
	}

	@Column
	//刻槽方向
	private String groove_dir;
	public String  getGroove_dir() {
		return this.groove_dir;
	}
	public void setGroove_dir(String groove_dir) {
		this.groove_dir = groove_dir;
	}

	@Column
	//探伤覆盖率(%)
	private String coverage;
	public String  getCoverage() {
		return this.coverage;
	}
	public void setCoverage(String coverage) {
		this.coverage = coverage;
	}

	@Column
	//探伤频率代码
	private String rate;
	public String  getRate() {
		return this.rate;
	}
	public void setRate(String rate) {
		this.rate = rate;
	}

	@Column
	//探伤频率描述
	private String desc_rate;
	public String  getDesc_rate() {
		return this.desc_rate;
	}
	public void setDesc_rate(String desc_rate) {
		this.desc_rate = desc_rate;
	}

	@Column
	//频率值
	private String desc_val;
	public String  getDesc_val() {
		return this.desc_val;
	}
	public void setDesc_val(String desc_val) {
		this.desc_val = desc_val;
	}

	@Column
	//分组索引号
	private String group_seq;
	public String  getGroup_seq() {
		return this.group_seq;
	}
	public void setGroup_seq(String group_seq) {
		this.group_seq = group_seq;
	}

	@Column
	//最小外径
	private String min_d;
	public String  getMin_d() {
		return this.min_d;
	}
	public void setMin_d(String min_d) {
		this.min_d = min_d;
	}

	@Column
	//最大外径
	private String max_d;
	public String  getMax_d() {
		return this.max_d;
	}
	public void setMax_d(String max_d) {
		this.max_d = max_d;
	}

	@Column
	//最小壁厚
	private String min_h;
	public String  getMin_h() {
		return this.min_h;
	}
	public void setMin_h(String min_h) {
		this.min_h = min_h;
	}

	@Column
	//最大壁厚
	private String max_h;
	public String  getMax_h() {
		return this.max_h;
	}
	public void setMax_h(String max_h) {
		this.max_h = max_h;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//状态
	private String validflag;
	public String  getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	@Column
	//创建人编号
	private String create_no;
	public String  getCreate_no() {
		return this.create_no;
	}
	public void setCreate_no(String create_no) {
		this.create_no = create_no;
	}

	@Column
	//创建人姓名
	private String create_name;
	public String  getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_no;
	public String  getUpdate_no() {
		return this.update_no;
	}
	public void setUpdate_no(String update_no) {
		this.update_no = update_no;
	}

	@Column
	//修改人姓名
	private String update_name;
	public String  getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_no;
	public String  getDelete_no() {
		return this.delete_no;
	}
	public void setDelete_no(String delete_no) {
		this.delete_no = delete_no;
	}

	@Column
	//删除人姓名
	private String delete_name;
	public String  getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	/** 
	 * 宽度（外径）下限值符号
	 */ 
	@Column
	private String min_d_sign;
	public String getMin_d_sign() {
		return this.min_d_sign;
	}
	public void setMin_d_sign(String min_d_sign) {
		this.min_d_sign = min_d_sign;
	}

	/** 
	 * 宽度（外径）上限值符号
	 */ 
	@Column
	private String max_d_sign;
	public String getMax_d_sign() {
		return this.max_d_sign;
	}
	public void setMax_d_sign(String max_d_sign) {
		this.max_d_sign = max_d_sign;
	}

	/** 
	 * 厚度（壁厚）下限值符号
	 */ 
	@Column
	private String min_h_sign;
	public String getMin_h_sign() {
		return this.min_h_sign;
	}
	public void setMin_h_sign(String min_h_sign) {
		this.min_h_sign = min_h_sign;
	}

	/** 
	 * 厚度（壁厚）上限值符号
	 */ 
	@Column
	private String max_h_sign;
	public String getMax_h_sign() {
		return this.max_h_sign;
	}
	public void setMax_h_sign(String max_h_sign) {
		this.max_h_sign = max_h_sign;
	}
}
